Get the results of the consignment tasks report

​

Body·

application/json
  • The client partner to filter by

  • Integer numbers.

    values
    PointToPoint = 0Inwards = 1Outwards = 2
  • The start date in the consignment date range

  • The end date in the consignment date range

  • The task types to filter by

  • The warehouse to filter by

Responses

  • application/json
Request Example for post/v1/reports/consignment-tasks
curl https://api.consignlyhq.com/v1/reports/consignment-tasks \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "consignmentType": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
  "clientPartnerId": null,
  "warehouseId": null,
  "taskTypeIds": [
    ""
  ]
}'
[
  {
    "clientName": null,
    "type": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
    "consignmentNumber": null,
    "referenceNumber": null,
    "dateEntered": "date (YYYY-MM-DD)",
    "poNumber": null,
    "soNumber": null,
    "receiversReference": null,
    "sendersReference": null,
    "originAddressName": null,
    "originAddressText": null,
    "consigneeAddressName": null,
    "consigneeAddressText": null,
    "taskTypeName": null,
    "taskValue": 1
  }
]